/*===========================================================================*/
/*   (Tvector/tvector.scm)                                                   */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Tvector/tvector.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_tvecz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_tvecz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl_methodzd2initzd2zztvector_tvectorz00();
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_makezd2coercionzd2clausez00zztvector_tvectorz00(obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
extern BgL_typez00_bglt BGl_makezd2typezd2zztype_typez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
static obj_t BGl__declarezd2tvectorzd2typez121420z12zztvector_tvectorz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t display_char(obj_t, obj_t);
extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
static obj_t BGl__makezd2tvec1429zd2zztvector_tvectorz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
BGL_IMPORT BgL_objectz00_bglt BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
BGL_IMPORT obj_t bigloo_mangle(obj_t);
BGL_EXPORTED_DECL bool_t BGl_tveczf3zf3zztvector_tvectorz00(obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
extern BgL_typez00_bglt BGl_declarezd2subtypez12zc0zztype_envz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2tvec1196ze3zztvector_tvectorz00(obj_t, obj_t);
BGL_EXPORTED_DECL BgL_tvecz00_bglt BGl_makezd2tveczd2zztvector_tvectorz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt);
BGL_EXPORTED_DECL obj_t BGl_emitzd2tvectorzd2typesz00zztvector_tvectorz00(obj_t);
static obj_t BGl__emitzd2tvectorzd2types1424z00zztvector_tvectorz00(obj_t, obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_typez00zztype_typez00;
BGL_IMPORT obj_t display_string(obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2tvec1198z51zztvector_tvectorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl__allocatezd2tveczd2zztvector_tvectorz00(obj_t);
static obj_t BGl_cnstzd2initzd2zztvector_tvectorz00();
BGL_EXPORTED_DECL BgL_tvecz00_bglt BGl_declarezd2tvectorzd2typez12z12zztvector_tvectorz00(obj_t, obj_t, obj_t);
static obj_t BGl__tveczf3zf3zztvector_tvectorz00(obj_t, obj_t);
static obj_t BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00 = BUNSPEC;
BGL_EXPORTED_DECL BgL_typez00_bglt BGl_allocatezd2tveczd2zztvector_tvectorz00();
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zztvector_tvectorz00();
static obj_t BGl_objectzd2initzd2zztvector_tvectorz00();
BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zztvector_tvectorz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_tvecz00zztvector_tvectorz00 = BUNSPEC;
BGL_EXPORTED_DECL BgL_tvecz00_bglt BGl_wideningzd2tveczd2zztvector_tvectorz00(BgL_typez00_bglt);
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_tvecz00_bglt BGl_fillzd2tvecz12zc0zztvector_tvectorz00(BgL_tvecz00_bglt, BgL_typez00_bglt);
static obj_t BGl__fillzd2tvecz121431zc0zztvector_tvectorz00(obj_t, obj_t, obj_t);
static obj_t BGl__wideningzd2tveczd2zztvector_tvectorz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zztvector_tvectorz00();
static obj_t BGl_toplevelzd2initzd2zztvector_tvectorz00();
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t __cnst[ 6 ] ;


BGL_IMPORT obj_t BGl_expzd2envzd2zz__r4_numbers_6_5z00;
DEFINE_EXPORT_PROCEDURE( BGl_wideningzd2tveczd2envz00zztvector_tvectorz00, BgL_bgl__wideningza7d2tvecza7d2za7za7tvector_tvectorza7001559za7, BGl__wideningzd2tveczd2zztvector_tvectorz00, 0L, 1 );
DEFINE_STRING( BGl_string1525z00zztvector_tvectorz00, BgL_bgl_string1525za700za7za7tvector_tvectorza7001560z00, "tvec tvector coerce type bigloo obj ", 36 );
DEFINE_STRING( BGl_string1522z00zztvector_tvectorz00, BgL_bgl_string1522za700za7za7tvector_tvectorza7001561z00, "};\n", 3 );
DEFINE_STRING( BGl_string1521z00zztvector_tvectorz00, BgL_bgl_string1521za700za7za7tvector_tvectorza7001562z00, " el0;", 5 );
DEFINE_STRING( BGl_string1520z00zztvector_tvectorz00, BgL_bgl_string1520za700za7za7tvector_tvectorza7001563z00, "   ", 3 );
DEFINE_STRING( BGl_string1519z00zztvector_tvectorz00, BgL_bgl_string1519za700za7za7tvector_tvectorza7001564z00, "   obj_t    descr;", 18 );
DEFINE_STRING( BGl_string1518z00zztvector_tvectorz00, BgL_bgl_string1518za700za7za7tvector_tvectorza7001565z00, "   long     length;", 19 );
DEFINE_STRING( BGl_string1517z00zztvector_tvectorz00, BgL_bgl_string1517za700za7za7tvector_tvectorza7001566z00, "   header_t header;", 19 );
DEFINE_STRING( BGl_string1516z00zztvector_tvectorz00, BgL_bgl_string1516za700za7za7tvector_tvectorza7001567z00, " {", 2 );
DEFINE_STRING( BGl_string1515z00zztvector_tvectorz00, BgL_bgl_string1515za700za7za7tvector_tvectorza7001568z00, "struct bgl_tvector_of_", 22 );
DEFINE_STRING( BGl_string1514z00zztvector_tvectorz00, BgL_bgl_string1514za700za7za7tvector_tvectorza7001569z00, "/* Tvector type definitions */", 30 );
DEFINE_STRING( BGl_string1513z00zztvector_tvectorz00, BgL_bgl_string1513za700za7za7tvector_tvectorza7001570z00, "Unable to find `obj' type", 25 );
DEFINE_STRING( BGl_string1512z00zztvector_tvectorz00, BgL_bgl_string1512za700za7za7tvector_tvectorza7001571z00, "declare-tvector-type!", 21 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2tvecz12zd2envz12zztvector_tvectorz00, BgL_bgl__fillza7d2tvecza7121431za7c0za7za7tvector_tvectorza7001572z00, BGl__fillzd2tvecz121431zc0zztvector_tvectorz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2tvectorzd2typez12zd2envzc0zztvector_tvectorz00, BgL_bgl__declareza7d2tvectorza7d2typeza7121420za712za7za7tvector_tvectorza7001573za7, BGl__declarezd2tvectorzd2typez121420z12zztvector_tvectorz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2tveczd2envz00zztvector_tvectorz00, BgL_bgl__makeza7d2tvec1429za7d2za7za7tvector_tvectorza7001574za7, BGl__makezd2tvec1429zd2zztvector_tvectorz00, 0L, 15 );
BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_STATIC_PROCEDURE( BGl_proc1523z00zztvector_tvectorz00, BgL_bgl_objectza7d2za7e3structza7d2tvec1196za7e3za7za7tvector_tvectorza7001575za7, BGl_objectzd2ze3structzd2tvec1196ze3zztvector_tvectorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc1524z00zztvector_tvectorz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2tvec1198za751za7za7tvector_tvectorza7001576z00, BGl_structzb2objectzd2ze3objectzd2tvec1198z51zztvector_tvectorz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_emitzd2tvectorzd2typeszd2envzd2zztvector_tvectorz00, BgL_bgl__emitza7d2tvectorza7d2types1424za700za7za7tvector_tvectorza7001577z00, BGl__emitzd2tvectorzd2types1424z00zztvector_tvectorz00, 0L, 1 );
BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2tveczd2envz00zztvector_tvectorz00, BgL_bgl__allocateza7d2tvecza7d2za7za7tvector_tvectorza7001578za7, BGl__allocatezd2tveczd2zztvector_tvectorz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_tveczf3zd2envz21zztvector_tvectorz00, BgL_bgl__tvecza7f3za7f3za7za7tvector_tvectorza7001579za7, BGl__tveczf3zf3zztvector_tvectorz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long BgL_checksumz00_359, char * BgL_fromz00_360)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zztvector_tvectorz00))
{ 
BGl_requirezd2initializa7ationz75zztvector_tvectorz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zztvector_tvectorz00(); 
BGl_cnstzd2initzd2zztvector_tvectorz00(); 
BGl_importedzd2moduleszd2initz00zztvector_tvectorz00(); 
BGl_objectzd2initzd2zztvector_tvectorz00(); 
BGl_methodzd2initzd2zztvector_tvectorz00(); 
BGl_toplevelzd2initzd2zztvector_tvectorz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zztvector_tvectorz00()
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "tvector_tvector"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "tvector_tvector"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "tvector_tvector"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "tvector_tvector"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "tvector_tvector"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "tvector_tvector"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zztvector_tvectorz00()
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 15 */
{ /* ./Tvector/tvector.scm 15 */
obj_t BgL_cportz00_337;
BgL_cportz00_337 = 
open_input_string(BGl_string1525z00zztvector_tvectorz00); 
{ 
long BgL_iz00_338;
BgL_iz00_338 = ((long)5); 
BgL_loopz00_339:
{ /* ./Tvector/tvector.scm 15 */
bool_t BgL_test1527z00_340;
BgL_test1527z00_340 = 
(BgL_iz00_338==((long)-1)); 
if(BgL_test1527z00_340)
{ /* ./Tvector/tvector.scm 15 */
return BUNSPEC;}  else 
{ /* ./Tvector/tvector.scm 15 */
{ /* ./Tvector/tvector.scm 15 */
obj_t BgL_arg1530z00_341;
{ /* ./Tvector/tvector.scm 15 */
obj_t BgL_list1533z00_342;
BgL_list1533z00_342 = 
MAKE_PAIR(BgL_cportz00_337, BNIL); 
BgL_arg1530z00_341 = 
BGl_readz00zz__readerz00(BgL_list1533z00_342); } 
{ /* ./Tvector/tvector.scm 15 */
int BgL_auxz00_381;
BgL_auxz00_381 = 
(int)(BgL_iz00_338); 
CNST_TABLE_SET(BgL_auxz00_381, BgL_arg1530z00_341); } } 
{ /* ./Tvector/tvector.scm 15 */
int BgL_auxz00_343;
{ /* ./Tvector/tvector.scm 15 */
long BgL_auxz00_384;
BgL_auxz00_384 = 
(BgL_iz00_338-((long)1)); 
BgL_auxz00_343 = 
(int)(BgL_auxz00_384); } 
{ 
long BgL_iz00_387;
BgL_iz00_387 = 
(long)(BgL_auxz00_343); 
BgL_iz00_338 = BgL_iz00_387; 
goto BgL_loopz00_339;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zztvector_tvectorz00()
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 15 */
return ( 
BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00 = BNIL, BUNSPEC) ;} 
}



/* declare-tvector-type! */
BGL_EXPORTED_DEF BgL_tvecz00_bglt BGl_declarezd2tvectorzd2typez12z12zztvector_tvectorz00(obj_t BgL_tvectzd2idzd2_1, obj_t BgL_itemzd2idzd2_2, obj_t BgL_srcz00_3)
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 38 */
{ /* ./Tvector/tvector.scm 39 */
BgL_typez00_bglt BgL_objz00_95;
BgL_objz00_95 = 
BGl_findzd2typezd2zztype_envz00(
CNST_TABLE_REF(((long)0))); 
{ /* ./Tvector/tvector.scm 40 */
bool_t BgL_test1199z00_96;
{ /* ./Tvector/tvector.scm 40 */
obj_t BgL_obj1088z00_206;
BgL_obj1088z00_206 = 
(obj_t)(BgL_objz00_95); 
BgL_test1199z00_96 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1088z00_206, BGl_typez00zztype_typez00); } 
if(BgL_test1199z00_96)
{ /* ./Tvector/tvector.scm 42 */
BgL_typez00_bglt BgL_typez00_97;BgL_typez00_bglt BgL_itemzd2typezd2_98;
{ /* ./Tvector/tvector.scm 43 */
obj_t BgL_arg1218z00_104;obj_t BgL_arg1219z00_105;obj_t BgL_arg1220z00_106;
BgL_arg1218z00_104 = 
(((BgL_typez00_bglt)CREF(BgL_objz00_95))->BgL_namez00); 
{ /* ./Tvector/tvector.scm 44 */
obj_t BgL_list1224z00_107;
{ /* ./Tvector/tvector.scm 44 */
obj_t BgL_auxz00_395;
BgL_auxz00_395 = 
CNST_TABLE_REF(((long)0)); 
BgL_list1224z00_107 = 
MAKE_PAIR(BgL_auxz00_395, BNIL); } 
BgL_arg1219z00_105 = BgL_list1224z00_107; } 
BgL_arg1220z00_106 = 
CNST_TABLE_REF(((long)1)); 
BgL_typez00_97 = 
BGl_declarezd2subtypez12zc0zztype_envz00(BgL_tvectzd2idzd2_1, BgL_arg1218z00_104, BgL_arg1219z00_105, BgL_arg1220z00_106); } 
{ /* ./Tvector/tvector.scm 46 */
obj_t BgL_arg1227z00_108;
BgL_arg1227z00_108 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_3); 
BgL_itemzd2typezd2_98 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_itemzd2idzd2_2, BgL_arg1227z00_108); } 
{ /* ./Tvector/tvector.scm 48 */
BgL_typez00_bglt BgL_obj1183z00_99;
BgL_obj1183z00_99 = 
((BgL_typez00_bglt)BgL_typez00_97); 
{ /* ./Tvector/tvector.scm 48 */
BgL_tvecz00_bglt BgL_arg1201z00_100;
{ /* ./Tvector/tvector.scm 48 */
BgL_typez00_bglt BgL_arg1204z00_101;
BgL_arg1204z00_101 = BgL_itemzd2typezd2_98; 
{ /* ./Tvector/tvector.scm 48 */
BgL_tvecz00_bglt BgL_res1413z00_216;
{ /* ./Tvector/tvector.scm 48 */
BgL_tvecz00_bglt BgL_new1110z00_211;
BgL_new1110z00_211 = 
((BgL_tvecz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_tvecz00_bgl)))); 
{ /* ./Tvector/tvector.scm 48 */
BgL_tvecz00_bglt BgL_res1412z00_215;
{ /* ./Tvector/tvector.scm 48 */
BgL_tvecz00_bglt BgL_new1130z00_212;
BgL_new1130z00_212 = BgL_new1110z00_211; 
{ /* ./Tvector/tvector.scm 48 */
BgL_typez00_bglt BgL_itemzd2type1129zd2_214;
BgL_itemzd2type1129zd2_214 = BgL_arg1204z00_101; 
((((BgL_tvecz00_bglt)CREF(BgL_new1130z00_212))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_itemzd2type1129zd2_214), BUNSPEC); 
BgL_res1412z00_215 = BgL_new1130z00_212; } } BgL_res1412z00_215; } 
BgL_res1413z00_216 = BgL_new1110z00_211; } 
BgL_arg1201z00_100 = BgL_res1413z00_216; } } 
{ /* ./Tvector/tvector.scm 48 */
obj_t BgL_auxz00_407;BgL_objectz00_bglt BgL_auxz00_405;
BgL_auxz00_407 = 
(obj_t)(BgL_arg1201z00_100); 
BgL_auxz00_405 = 
(BgL_objectz00_bglt)(BgL_obj1183z00_99); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_405, BgL_auxz00_407); } } 
{ /* ./Tvector/tvector.scm 48 */
long BgL_arg1207z00_102;
BgL_arg1207z00_102 = 
BGl_classzd2numzd2zz__objectz00(BGl_tvecz00zztvector_tvectorz00); 
{ /* ./Tvector/tvector.scm 48 */
BgL_objectz00_bglt BgL_objz00_217;
BgL_objz00_217 = 
(BgL_objectz00_bglt)(BgL_obj1183z00_99); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_217, BgL_arg1207z00_102); } } 
{ /* ./Tvector/tvector.scm 48 */
obj_t BgL_objz00_219;
BgL_objz00_219 = 
(obj_t)(BgL_obj1183z00_99); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_219); BUNSPEC; } BgL_obj1183z00_99; } 
{ /* ./Tvector/tvector.scm 50 */
obj_t BgL_arg1212z00_103;
BgL_arg1212z00_103 = 
BGl_makezd2coercionzd2clausez00zztvector_tvectorz00(BgL_tvectzd2idzd2_1); 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1212z00_103); } 
{ /* ./Tvector/tvector.scm 52 */
obj_t BgL_auxz00_417;
BgL_auxz00_417 = 
(obj_t)(BgL_typez00_97); 
BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00 = 
MAKE_PAIR(BgL_auxz00_417, BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00); } 
{ /* ./Tvector/tvector.scm 54 */
BgL_typez00_bglt BgL_obj1036z00_220;obj_t BgL_val1035z00_221;
BgL_obj1036z00_220 = BgL_itemzd2typezd2_98; 
BgL_val1035z00_221 = 
(obj_t)(BgL_typez00_97); 
((((BgL_typez00_bglt)CREF(BgL_obj1036z00_220))->BgL_tvectorz00) = ((obj_t)BgL_val1035z00_221), BUNSPEC); } 
return 
(BgL_tvecz00_bglt)(BgL_typez00_97);}  else 
{ /* ./Tvector/tvector.scm 41 */
obj_t BgL_auxz00_423;
BgL_auxz00_423 = 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1512z00zztvector_tvectorz00, BGl_string1513z00zztvector_tvectorz00, BGl_expzd2envzd2zz__r4_numbers_6_5z00, BNIL); 
return 
(BgL_tvecz00_bglt)(BgL_auxz00_423);} } } } 
}



/* _declare-tvector-type!1420 */
obj_t BGl__declarezd2tvectorzd2typez121420z12zztvector_tvectorz00(obj_t BgL_envz00_293, obj_t BgL_tvectzd2idzd2_294, obj_t BgL_itemzd2idzd2_295, obj_t BgL_srcz00_296)
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 38 */
{ /* ./Tvector/tvector.scm 39 */
BgL_tvecz00_bglt BgL_auxz00_426;
BgL_auxz00_426 = 
BGl_declarezd2tvectorzd2typez12z12zztvector_tvectorz00(BgL_tvectzd2idzd2_294, BgL_itemzd2idzd2_295, BgL_srcz00_296); 
return 
(obj_t)(BgL_auxz00_426);} } 
}



/* emit-tvector-types */
BGL_EXPORTED_DEF obj_t BGl_emitzd2tvectorzd2typesz00zztvector_tvectorz00(obj_t BgL_oportz00_4)
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 61 */
{ /* ./Tvector/tvector.scm 62 */
bool_t BgL_test1234z00_110;
{ /* ./Tvector/tvector.scm 62 */
obj_t BgL_objz00_222;
BgL_objz00_222 = BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00; 
BgL_test1234z00_110 = 
PAIRP(BgL_objz00_222); } 
if(BgL_test1234z00_110)
{ /* ./Tvector/tvector.scm 62 */
{ /* ./Tvector/tvector.scm 63 */
obj_t BgL_auxz00_431;
BgL_auxz00_431 = 
BCHAR(((unsigned char)'\n')); 
display_char(BgL_auxz00_431, BgL_oportz00_4); } 
display_string(BGl_string1514z00zztvector_tvectorz00, BgL_oportz00_4); 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_4); }  else 
{ /* ./Tvector/tvector.scm 62 */BFALSE; } } 
{ 
obj_t BgL_l1185z00_112;
{ /* ./Tvector/tvector.scm 73 */
obj_t BgL_arg1240z00_114;
BgL_arg1240z00_114 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00); 
BgL_l1185z00_112 = BgL_arg1240z00_114; 
BgL_forzd2each1186zd2_113:
{ /* ./Tvector/tvector.scm 64 */
bool_t BgL_test1243z00_115;
BgL_test1243z00_115 = 
PAIRP(BgL_l1185z00_112); 
if(BgL_test1243z00_115)
{ /* ./Tvector/tvector.scm 64 */
{ /* ./Tvector/tvector.scm 65 */
obj_t BgL_tvectorz00_116;
BgL_tvectorz00_116 = 
CAR(BgL_l1185z00_112); 
{ /* ./Tvector/tvector.scm 65 */
obj_t BgL_itemzd2typezd2namez00_117;
{ /* ./Tvector/tvector.scm 65 */
BgL_typez00_bglt BgL_arg1265z00_125;
{ /* ./Tvector/tvector.scm 65 */
BgL_tvecz00_bglt BgL_obj1142z00_226;
BgL_obj1142z00_226 = 
(BgL_tvecz00_bglt)(BgL_tvectorz00_116); 
{ 
obj_t BgL_auxz00_441;
{ /* ./Tvector/tvector.scm 65 */
BgL_objectz00_bglt BgL_auxz00_442;
BgL_auxz00_442 = 
(BgL_objectz00_bglt)(BgL_obj1142z00_226); 
BgL_auxz00_441 = 
BGL_OBJECT_WIDENING(BgL_auxz00_442); } 
BgL_arg1265z00_125 = 
(((BgL_tvecz00_bglt)CREF(BgL_auxz00_441))->BgL_itemzd2typezd2); } } 
BgL_itemzd2typezd2namez00_117 = 
(((BgL_typez00_bglt)CREF(BgL_arg1265z00_125))->BgL_namez00); } 
display_string(BGl_string1515z00zztvector_tvectorz00, BgL_oportz00_4); 
{ /* ./Tvector/tvector.scm 67 */
obj_t BgL_arg1246z00_119;
BgL_arg1246z00_119 = 
bigloo_mangle(BgL_itemzd2typezd2namez00_117); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg1246z00_119, BgL_oportz00_4); } 
display_string(BGl_string1516z00zztvector_tvectorz00, BgL_oportz00_4); 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_4); 
display_string(BGl_string1517z00zztvector_tvectorz00, BgL_oportz00_4); 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_4); 
display_string(BGl_string1518z00zztvector_tvectorz00, BgL_oportz00_4); 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_4); 
display_string(BGl_string1519z00zztvector_tvectorz00, BgL_oportz00_4); 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_4); 
display_string(BGl_string1520z00zztvector_tvectorz00, BgL_oportz00_4); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_itemzd2typezd2namez00_117, BgL_oportz00_4); 
display_string(BGl_string1521z00zztvector_tvectorz00, BgL_oportz00_4); 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_4); 
display_string(BGl_string1522z00zztvector_tvectorz00, BgL_oportz00_4); 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_4); } } 
{ /* ./Tvector/tvector.scm 64 */
obj_t BgL_arg1270z00_126;
BgL_arg1270z00_126 = 
CDR(BgL_l1185z00_112); 
{ 
obj_t BgL_l1185z00_465;
BgL_l1185z00_465 = BgL_arg1270z00_126; 
BgL_l1185z00_112 = BgL_l1185z00_465; 
goto BgL_forzd2each1186zd2_113;} } }  else 
{ /* ./Tvector/tvector.scm 64 */((bool_t)1); } } } } 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_4);} 
}



/* _emit-tvector-types1424 */
obj_t BGl__emitzd2tvectorzd2types1424z00zztvector_tvectorz00(obj_t BgL_envz00_299, obj_t BgL_oportz00_300)
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 61 */
return 
BGl_emitzd2tvectorzd2typesz00zztvector_tvectorz00(BgL_oportz00_300);} 
}



/* make-coercion-clause */
obj_t BGl_makezd2coercionzd2clausez00zztvector_tvectorz00(obj_t BgL_tvectzd2idzd2_5)
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 79 */
{ /* ./Tvector/tvector.scm 80 */
obj_t BgL_arg1276z00_127;obj_t BgL_arg1277z00_128;
BgL_arg1276z00_127 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Tvector/tvector.scm 80 */
obj_t BgL_arg1282z00_129;obj_t BgL_arg1283z00_130;
{ /* ./Tvector/tvector.scm 80 */
obj_t BgL_arg1286z00_131;obj_t BgL_arg1287z00_132;
BgL_arg1286z00_131 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Tvector/tvector.scm 80 */
obj_t BgL_arg1290z00_133;
{ /* ./Tvector/tvector.scm 80 */
obj_t BgL_arg1293z00_134;obj_t BgL_arg1294z00_135;
BgL_arg1293z00_134 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Tvector/tvector.scm 80 */
obj_t BgL_arg1298z00_137;
BgL_arg1298z00_137 = 
MAKE_PAIR(BNIL, BNIL); 
BgL_arg1294z00_135 = 
MAKE_PAIR(BNIL, BgL_arg1298z00_137); } 
BgL_arg1290z00_133 = 
MAKE_PAIR(BgL_arg1293z00_134, BgL_arg1294z00_135); } 
BgL_arg1287z00_132 = 
MAKE_PAIR(BgL_tvectzd2idzd2_5, BgL_arg1290z00_133); } 
BgL_arg1282z00_129 = 
MAKE_PAIR(BgL_arg1286z00_131, BgL_arg1287z00_132); } 
{ /* ./Tvector/tvector.scm 81 */
obj_t BgL_arg1302z00_138;
{ /* ./Tvector/tvector.scm 81 */
obj_t BgL_arg1306z00_140;obj_t BgL_arg1307z00_141;
BgL_arg1306z00_140 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Tvector/tvector.scm 81 */
obj_t BgL_arg1310z00_142;obj_t BgL_arg1311z00_143;
BgL_arg1310z00_142 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Tvector/tvector.scm 81 */
obj_t BgL_arg1314z00_144;
{ /* ./Tvector/tvector.scm 81 */
obj_t BgL_arg1318z00_146;
BgL_arg1318z00_146 = 
MAKE_PAIR(BNIL, BNIL); 
BgL_arg1314z00_144 = 
MAKE_PAIR(BNIL, BgL_arg1318z00_146); } 
BgL_arg1311z00_143 = 
MAKE_PAIR(BgL_tvectzd2idzd2_5, BgL_arg1314z00_144); } 
BgL_arg1307z00_141 = 
MAKE_PAIR(BgL_arg1310z00_142, BgL_arg1311z00_143); } 
BgL_arg1302z00_138 = 
MAKE_PAIR(BgL_arg1306z00_140, BgL_arg1307z00_141); } 
BgL_arg1283z00_130 = 
MAKE_PAIR(BgL_arg1302z00_138, BNIL); } 
BgL_arg1277z00_128 = 
MAKE_PAIR(BgL_arg1282z00_129, BgL_arg1283z00_130); } 
return 
MAKE_PAIR(BgL_arg1276z00_127, BgL_arg1277z00_128);} } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zztvector_tvectorz00()
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 15 */
{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_arg1322z00_147;obj_t BgL_arg1323z00_148;obj_t BgL_arg1328z00_152;
BgL_arg1322z00_147 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg1323z00_148 = BGl_typez00zztype_typez00; 
{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_v1193z00_153;
{ 
int BgL_auxz00_487;
BgL_auxz00_487 = 
(int)(((long)0)); 
BgL_v1193z00_153 = 
create_vector(BgL_auxz00_487); } 
BgL_arg1328z00_152 = BgL_v1193z00_153; } 
BGl_tvecz00zztvector_tvectorz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg1322z00_147, BgL_arg1323z00_148, BFALSE, BGl_allocatezd2tveczd2envz00zztvector_tvectorz00, ((long)50054), BNIL, BFALSE, BgL_arg1328z00_152); } 
return BUNSPEC;} 
}



/* tvec? */
BGL_EXPORTED_DEF bool_t BGl_tveczf3zf3zztvector_tvectorz00(obj_t BgL_obj1141z00_6)
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 23 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1141z00_6, BGl_tvecz00zztvector_tvectorz00);} 
}



/* _tvec? */
obj_t BGl__tveczf3zf3zztvector_tvectorz00(obj_t BgL_envz00_302, obj_t BgL_obj1141z00_303)
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 23 */
{ /* ./Tvector/tvector.scm 23 */
bool_t BgL_auxz00_492;
BgL_auxz00_492 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1141z00_303, BGl_tvecz00zztvector_tvectorz00); 
return 
BBOOL(BgL_auxz00_492);} } 
}



/* widening-tvec */
BGL_EXPORTED_DEF BgL_tvecz00_bglt BGl_wideningzd2tveczd2zztvector_tvectorz00(BgL_typez00_bglt BgL_itemzd2type1109zd2_10)
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 23 */
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_new1110z00_236;
BgL_new1110z00_236 = 
((BgL_tvecz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_tvecz00_bgl)))); 
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_res1414z00_240;
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_new1130z00_237;
BgL_new1130z00_237 = BgL_new1110z00_236; 
{ /* ./Tvector/tvector.scm 23 */
BgL_typez00_bglt BgL_itemzd2type1129zd2_239;
BgL_itemzd2type1129zd2_239 = BgL_itemzd2type1109zd2_10; 
((((BgL_tvecz00_bglt)CREF(BgL_new1130z00_237))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_itemzd2type1129zd2_239), BUNSPEC); 
BgL_res1414z00_240 = BgL_new1130z00_237; } } BgL_res1414z00_240; } 
return BgL_new1110z00_236;} } 
}



/* _widening-tvec */
obj_t BGl__wideningzd2tveczd2zztvector_tvectorz00(obj_t BgL_envz00_304, obj_t BgL_itemzd2type1109zd2_305)
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 23 */
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_auxz00_497;
BgL_auxz00_497 = 
BGl_wideningzd2tveczd2zztvector_tvectorz00(
(BgL_typez00_bglt)(BgL_itemzd2type1109zd2_305)); 
return 
(obj_t)(BgL_auxz00_497);} } 
}



/* make-tvec */
BGL_EXPORTED_DEF BgL_tvecz00_bglt BGl_makezd2tveczd2zztvector_tvectorz00(obj_t BgL_id1113z00_11, obj_t BgL_name1114z00_12, obj_t BgL_siza7e1115za7_13, obj_t BgL_class1116z00_14, obj_t BgL_coercezd2to1117zd2_15, obj_t BgL_parents1118z00_16, bool_t BgL_initzf31119zf3_17, bool_t BgL_magiczf31120zf3_18, obj_t BgL_z421121z42_19, obj_t BgL_alias1122z00_20, obj_t BgL_pointedzd2tozd2by1123z00_21, obj_t BgL_tvector1124z00_22, obj_t BgL_location1125z00_23, obj_t BgL_importzd2location1126zd2_24, BgL_typez00_bglt BgL_itemzd2type1112zd2_25)
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 23 */
{ /* ./Tvector/tvector.scm 23 */
BgL_typez00_bglt BgL_aux1127z00_241;
BgL_aux1127z00_241 = 
BGl_makezd2typezd2zztype_typez00(BgL_id1113z00_11, BgL_name1114z00_12, BgL_siza7e1115za7_13, BgL_class1116z00_14, BgL_coercezd2to1117zd2_15, BgL_parents1118z00_16, BgL_initzf31119zf3_17, BgL_magiczf31120zf3_18, BgL_z421121z42_19, BgL_alias1122z00_20, BgL_pointedzd2tozd2by1123z00_21, BgL_tvector1124z00_22, BgL_location1125z00_23, BgL_importzd2location1126zd2_24); 
{ /* ./Tvector/tvector.scm 23 */
long BgL_arg1334z00_242;
BgL_arg1334z00_242 = 
BGl_classzd2numzd2zz__objectz00(BGl_tvecz00zztvector_tvectorz00); 
{ /* ./Tvector/tvector.scm 23 */
BgL_objectz00_bglt BgL_objz00_245;
BgL_objz00_245 = 
(BgL_objectz00_bglt)(BgL_aux1127z00_241); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_245, BgL_arg1334z00_242); } } 
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_arg1338z00_243;
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_res1416z00_253;
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_new1110z00_248;
BgL_new1110z00_248 = 
((BgL_tvecz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_tvecz00_bgl)))); 
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_res1415z00_252;
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_new1130z00_249;
BgL_new1130z00_249 = BgL_new1110z00_248; 
{ /* ./Tvector/tvector.scm 23 */
BgL_typez00_bglt BgL_itemzd2type1129zd2_251;
BgL_itemzd2type1129zd2_251 = BgL_itemzd2type1112zd2_25; 
((((BgL_tvecz00_bglt)CREF(BgL_new1130z00_249))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_itemzd2type1129zd2_251), BUNSPEC); 
BgL_res1415z00_252 = BgL_new1130z00_249; } } BgL_res1415z00_252; } 
BgL_res1416z00_253 = BgL_new1110z00_248; } 
BgL_arg1338z00_243 = BgL_res1416z00_253; } 
{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_auxz00_509;BgL_objectz00_bglt BgL_auxz00_507;
BgL_auxz00_509 = 
(obj_t)(BgL_arg1338z00_243); 
BgL_auxz00_507 = 
(BgL_objectz00_bglt)(BgL_aux1127z00_241); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_507, BgL_auxz00_509); } } 
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_new1128z00_244;
{ 
BgL_tvecz00_bglt BgL_auxz00_512;
BgL_auxz00_512 = 
(BgL_tvecz00_bglt)(BgL_aux1127z00_241); 
BgL_new1128z00_244 = 
((BgL_tvecz00_bglt)BgL_auxz00_512); } 
{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_objz00_254;
BgL_objz00_254 = 
(obj_t)(BgL_new1128z00_244); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_254); BUNSPEC; } 
return BgL_new1128z00_244;} } } 
}



/* _make-tvec1429 */
obj_t BGl__makezd2tvec1429zd2zztvector_tvectorz00(obj_t BgL_envz00_306, obj_t BgL_id1113z00_307, obj_t BgL_name1114z00_308, obj_t BgL_siza7e1115za7_309, obj_t BgL_class1116z00_310, obj_t BgL_coercezd2to1117zd2_311, obj_t BgL_parents1118z00_312, obj_t BgL_initzf31119zf3_313, obj_t BgL_magiczf31120zf3_314, obj_t BgL_z421121z42_315, obj_t BgL_alias1122z00_316, obj_t BgL_pointedzd2tozd2by1123z00_317, obj_t BgL_tvector1124z00_318, obj_t BgL_location1125z00_319, obj_t BgL_importzd2location1126zd2_320, obj_t BgL_itemzd2type1112zd2_321)
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 23 */
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_auxz00_517;
BgL_auxz00_517 = 
BGl_makezd2tveczd2zztvector_tvectorz00(BgL_id1113z00_307, BgL_name1114z00_308, BgL_siza7e1115za7_309, BgL_class1116z00_310, BgL_coercezd2to1117zd2_311, BgL_parents1118z00_312, 
CBOOL(BgL_initzf31119zf3_313), 
CBOOL(BgL_magiczf31120zf3_314), BgL_z421121z42_315, BgL_alias1122z00_316, BgL_pointedzd2tozd2by1123z00_317, BgL_tvector1124z00_318, BgL_location1125z00_319, BgL_importzd2location1126zd2_320, 
(BgL_typez00_bglt)(BgL_itemzd2type1112zd2_321)); 
return 
(obj_t)(BgL_auxz00_517);} } 
}



/* fill-tvec! */
BGL_EXPORTED_DEF BgL_tvecz00_bglt BGl_fillzd2tvecz12zc0zztvector_tvectorz00(BgL_tvecz00_bglt BgL_new1130z00_26, BgL_typez00_bglt BgL_itemzd2type1129zd2_27)
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 23 */
{ /* ./Tvector/tvector.scm 23 */
BgL_typez00_bglt BgL_itemzd2type1129zd2_345;
BgL_itemzd2type1129zd2_345 = BgL_itemzd2type1129zd2_27; 
((((BgL_tvecz00_bglt)CREF(BgL_new1130z00_26))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_itemzd2type1129zd2_345), BUNSPEC); 
return BgL_new1130z00_26;} } 
}



/* _fill-tvec!1431 */
obj_t BGl__fillzd2tvecz121431zc0zztvector_tvectorz00(obj_t BgL_envz00_322, obj_t BgL_new1130z00_323, obj_t BgL_itemzd2type1129zd2_324)
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 23 */
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_auxz00_524;
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_res1542z00_349;
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_new1130z00_346;BgL_typez00_bglt BgL_itemzd2type1129zd2_347;
BgL_new1130z00_346 = 
(BgL_tvecz00_bglt)(BgL_new1130z00_323); 
BgL_itemzd2type1129zd2_347 = 
(BgL_typez00_bglt)(BgL_itemzd2type1129zd2_324); 
{ /* ./Tvector/tvector.scm 23 */
BgL_typez00_bglt BgL_itemzd2type1129zd2_348;
BgL_itemzd2type1129zd2_348 = BgL_itemzd2type1129zd2_347; 
((((BgL_tvecz00_bglt)CREF(BgL_new1130z00_346))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_itemzd2type1129zd2_348), BUNSPEC); 
BgL_res1542z00_349 = BgL_new1130z00_346; } } 
BgL_auxz00_524 = BgL_res1542z00_349; } 
return 
(obj_t)(BgL_auxz00_524);} } 
}



/* allocate-tvec */
BGL_EXPORTED_DEF BgL_typez00_bglt BGl_allocatezd2tveczd2zztvector_tvectorz00()
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 23 */
{ /* ./Tvector/tvector.scm 23 */
BgL_typez00_bglt BgL_new1133z00_350;
BgL_new1133z00_350 = 
((BgL_typez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_typez00_bgl) ))); 
{ /* ./Tvector/tvector.scm 23 */
long BgL_arg1344z00_351;
BgL_arg1344z00_351 = 
BGl_classzd2numzd2zz__objectz00(BGl_tvecz00zztvector_tvectorz00); 
{ /* ./Tvector/tvector.scm 23 */
BgL_objectz00_bglt BgL_objz00_352;
BgL_objz00_352 = 
(BgL_objectz00_bglt)(BgL_new1133z00_350); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_352, BgL_arg1344z00_351); } } 
{ /* ./Tvector/tvector.scm 23 */
BgL_objectz00_bglt BgL_auxz00_533;
BgL_auxz00_533 = 
(BgL_objectz00_bglt)(BgL_new1133z00_350); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_533, BFALSE); } 
{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_objz00_353;
BgL_objz00_353 = 
(obj_t)(BgL_new1133z00_350); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_353); BUNSPEC; } 
return BgL_new1133z00_350;} } 
}



/* _allocate-tvec */
obj_t BGl__allocatezd2tveczd2zztvector_tvectorz00(obj_t BgL_envz00_301)
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 23 */
{ /* ./Tvector/tvector.scm 23 */
BgL_typez00_bglt BgL_auxz00_538;
{ /* ./Tvector/tvector.scm 23 */
BgL_typez00_bglt BgL_res1543z00_358;
{ /* ./Tvector/tvector.scm 23 */
BgL_typez00_bglt BgL_new1133z00_354;
BgL_new1133z00_354 = 
((BgL_typez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_typez00_bgl) ))); 
{ /* ./Tvector/tvector.scm 23 */
long BgL_arg1344z00_355;
BgL_arg1344z00_355 = 
BGl_classzd2numzd2zz__objectz00(BGl_tvecz00zztvector_tvectorz00); 
{ /* ./Tvector/tvector.scm 23 */
BgL_objectz00_bglt BgL_objz00_356;
BgL_objz00_356 = 
(BgL_objectz00_bglt)(BgL_new1133z00_354); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_356, BgL_arg1344z00_355); } } 
{ /* ./Tvector/tvector.scm 23 */
BgL_objectz00_bglt BgL_auxz00_543;
BgL_auxz00_543 = 
(BgL_objectz00_bglt)(BgL_new1133z00_354); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_543, BFALSE); } 
{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_objz00_357;
BgL_objz00_357 = 
(obj_t)(BgL_new1133z00_354); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_357); BUNSPEC; } 
BgL_res1543z00_358 = BgL_new1133z00_354; } 
BgL_auxz00_538 = BgL_res1543z00_358; } 
return 
(obj_t)(BgL_auxz00_538);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zztvector_tvectorz00()
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 15 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_tvecz00zztvector_tvectorz00, BGl_proc1523z00zztvector_tvectorz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_tvecz00zztvector_tvectorz00, BGl_proc1524z00zztvector_tvectorz00);} 
}



/* struct+object->object-tvec1198 */
obj_t BGl_structzb2objectzd2ze3objectzd2tvec1198z51zztvector_tvectorz00(obj_t BgL_envz00_332, obj_t BgL_oz00_333, obj_t BgL_sz00_334)
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 23 */
{ 
BgL_tvecz00_bglt BgL_oz00_194;obj_t BgL_sz00_195;
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_auxz00_551;
BgL_oz00_194 = 
(BgL_tvecz00_bglt)(BgL_oz00_333); 
BgL_sz00_195 = BgL_sz00_334; 
{ 

{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_old1138z00_198;obj_t BgL_aux1139z00_199;
{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_nextzd2method1197zd2_204;
BgL_nextzd2method1197zd2_204 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_194), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_tvecz00zztvector_tvectorz00); 
{ /* ./Tvector/tvector.scm 23 */
bool_t BgL_test1401z00_205;
BgL_test1401z00_205 = 
PROCEDUREP(BgL_nextzd2method1197zd2_204); 
if(BgL_test1401z00_205)
{ /* ./Tvector/tvector.scm 23 */
BgL_old1138z00_198 = 
PROCEDURE_ENTRY(BgL_nextzd2method1197zd2_204)(BgL_nextzd2method1197zd2_204, 
(obj_t)(BgL_oz00_194), BgL_sz00_195, BEOA); }  else 
{ /* ./Tvector/tvector.scm 23 */
{ /* ./Tvector/tvector.scm 23 */
BgL_objectz00_bglt BgL_auxz00_559;
BgL_auxz00_559 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_194), BgL_sz00_195); 
BgL_old1138z00_198 = 
(obj_t)(BgL_auxz00_559); } } } } 
{ /* ./Tvector/tvector.scm 23 */
int BgL_auxz00_563;
BgL_auxz00_563 = 
(int)(((long)0)); 
BgL_aux1139z00_199 = 
STRUCT_REF(BgL_sz00_195, BgL_auxz00_563); } 
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_new1140z00_200;
BgL_new1140z00_200 = 
((BgL_tvecz00_bglt)(BgL_old1138z00_198)); 
{ /* ./Tvector/tvector.scm 23 */
long BgL_arg1388z00_201;
BgL_arg1388z00_201 = 
BGl_classzd2numzd2zz__objectz00(BGl_tvecz00zztvector_tvectorz00); 
{ /* ./Tvector/tvector.scm 23 */
BgL_objectz00_bglt BgL_objz00_280;
BgL_objz00_280 = 
(BgL_objectz00_bglt)(BgL_new1140z00_200); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_280, BgL_arg1388z00_201); } } 
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_arg1392z00_202;
{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_arg1395z00_203;
{ /* ./Tvector/tvector.scm 23 */
int BgL_auxz00_570;
BgL_auxz00_570 = 
(int)(((long)0)); 
BgL_arg1395z00_203 = 
STRUCT_REF(BgL_aux1139z00_199, BgL_auxz00_570); } 
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_res1419z00_290;
{ /* ./Tvector/tvector.scm 23 */
BgL_typez00_bglt BgL_itemzd2type1109zd2_284;
BgL_itemzd2type1109zd2_284 = 
(BgL_typez00_bglt)(BgL_arg1395z00_203); 
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_new1110z00_285;
BgL_new1110z00_285 = 
((BgL_tvecz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_tvecz00_bgl)))); 
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_res1418z00_289;
{ /* ./Tvector/tvector.scm 23 */
BgL_tvecz00_bglt BgL_new1130z00_286;
BgL_new1130z00_286 = BgL_new1110z00_285; 
{ /* ./Tvector/tvector.scm 23 */
BgL_typez00_bglt BgL_itemzd2type1129zd2_288;
BgL_itemzd2type1129zd2_288 = BgL_itemzd2type1109zd2_284; 
((((BgL_tvecz00_bglt)CREF(BgL_new1130z00_286))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_itemzd2type1129zd2_288), BUNSPEC); 
BgL_res1418z00_289 = BgL_new1130z00_286; } } BgL_res1418z00_289; } 
BgL_res1419z00_290 = BgL_new1110z00_285; } } 
BgL_arg1392z00_202 = BgL_res1419z00_290; } } 
{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_auxz00_578;BgL_objectz00_bglt BgL_auxz00_576;
BgL_auxz00_578 = 
(obj_t)(BgL_arg1392z00_202); 
BgL_auxz00_576 = 
(BgL_objectz00_bglt)(BgL_new1140z00_200); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_576, BgL_auxz00_578); } } 
{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_objz00_291;
BgL_objz00_291 = 
(obj_t)(BgL_new1140z00_200); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_291); BUNSPEC; } 
BgL_auxz00_551 = BgL_new1140z00_200; } } } 
return 
(obj_t)(BgL_auxz00_551);} } } 
}



/* object->struct-tvec1196 */
obj_t BGl_objectzd2ze3structzd2tvec1196ze3zztvector_tvectorz00(obj_t BgL_envz00_335, obj_t BgL_obj1135z00_336)
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 23 */
{ 
BgL_tvecz00_bglt BgL_obj1135z00_184;
BgL_obj1135z00_184 = 
(BgL_tvecz00_bglt)(BgL_obj1135z00_336); 
{ 

{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_res1136z00_187;
{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_nextzd2method1195zd2_192;
BgL_nextzd2method1195zd2_192 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj1135z00_184), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_tvecz00zztvector_tvectorz00); 
{ /* ./Tvector/tvector.scm 23 */
bool_t BgL_test1380z00_193;
BgL_test1380z00_193 = 
PROCEDUREP(BgL_nextzd2method1195zd2_192); 
if(BgL_test1380z00_193)
{ /* ./Tvector/tvector.scm 23 */
BgL_res1136z00_187 = 
PROCEDURE_ENTRY(BgL_nextzd2method1195zd2_192)(BgL_nextzd2method1195zd2_192, 
(obj_t)(BgL_obj1135z00_184), BEOA); }  else 
{ /* ./Tvector/tvector.scm 23 */
BgL_res1136z00_187 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj1135z00_184)); } } } 
{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_aux1137z00_188;
{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_keyz00_261;int BgL_lenz00_262;
BgL_keyz00_261 = 
CNST_TABLE_REF(((long)5)); 
BgL_lenz00_262 = 
(int)(((long)1)); 
BgL_aux1137z00_188 = 
make_struct(BgL_keyz00_261, BgL_lenz00_262, BUNSPEC); } 
{ /* ./Tvector/tvector.scm 23 */
BgL_typez00_bglt BgL_arg1368z00_190;
{ 
obj_t BgL_auxz00_597;
{ /* ./Tvector/tvector.scm 23 */
BgL_objectz00_bglt BgL_auxz00_598;
BgL_auxz00_598 = 
(BgL_objectz00_bglt)(BgL_obj1135z00_184); 
BgL_auxz00_597 = 
BGL_OBJECT_WIDENING(BgL_auxz00_598); } 
BgL_arg1368z00_190 = 
(((BgL_tvecz00_bglt)CREF(BgL_auxz00_597))->BgL_itemzd2typezd2); } 
{ /* ./Tvector/tvector.scm 23 */
int BgL_kz00_266;obj_t BgL_oz00_267;
BgL_kz00_266 = 
(int)(((long)0)); 
BgL_oz00_267 = 
(obj_t)(BgL_arg1368z00_190); 
STRUCT_SET(BgL_aux1137z00_188, BgL_kz00_266, BgL_oz00_267); } } 
{ /* ./Tvector/tvector.scm 23 */
int BgL_kz00_269;
BgL_kz00_269 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1136z00_187, BgL_kz00_269, BgL_aux1137z00_188); } 
{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_arg1374z00_191;
BgL_arg1374z00_191 = 
STRUCT_KEY(BgL_res1136z00_187); 
STRUCT_KEY_SET(BgL_aux1137z00_188, BgL_arg1374z00_191); } 
{ /* ./Tvector/tvector.scm 23 */
obj_t BgL_kz00_276;
BgL_kz00_276 = 
CNST_TABLE_REF(((long)5)); 
STRUCT_KEY_SET(BgL_res1136z00_187, BgL_kz00_276); } 
return BgL_res1136z00_187;} } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zztvector_tvectorz00()
{ AN_OBJECT;
{ /* ./Tvector/tvector.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "tvector_tvector"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "tvector_tvector"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "tvector_tvector"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "tvector_tvector"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "tvector_tvector");} 
}

